Stage (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.concurrent

## Enum Stage

- java.lang.Object
- - java.lang.Enum<Stage>
  - - org.apache.cassandra.concurrent.Stage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Stage>

      public enum Stage
      extends java.lang.Enum<Stage>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANTI_ENTROPY`
    `COUNTER_MUTATION`
    `GOSSIP`
    `INTERNAL_RESPONSE`
    `MIGRATION`
    `MISC`
    `MUTATION`
    `READ`
    `READ_REPAIR`
    `REQUEST_RESPONSE`
    `TRACING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getJmxName()`
    `java.lang.String` | `getJmxType()`
    `static java.lang.Iterable<Stage>` | `jmxEnabledStages()`
    `static Stage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Stage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          public static final Stage READ

    - #### MUTATION

          public static final Stage MUTATION

    - #### COUNTER_MUTATION

          public static final Stage COUNTER_MUTATION

    - #### GOSSIP

          public static final Stage GOSSIP

    - #### REQUEST_RESPONSE

          public static final Stage REQUEST_RESPONSE

    - #### ANTI_ENTROPY

          public static final Stage ANTI_ENTROPY

    - #### MIGRATION

          public static final Stage MIGRATION

    - #### MISC

          public static final Stage MISC

    - #### TRACING

          public static final Stage TRACING

    - #### INTERNAL_RESPONSE

          public static final Stage INTERNAL_RESPONSE

    - #### READ_REPAIR

          public static final Stage READ_REPAIR

  - ### Method Detail

    - #### values

          public static Stage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Stage c : Stage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Stage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### jmxEnabledStages

          public static java.lang.Iterable<Stage> jmxEnabledStages()

    - #### getJmxType

          public java.lang.String getJmxType()

    - #### getJmxName

          public java.lang.String getJmxName()

Copyright © 2018 The Apache Software Foundation